'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn('Users', 'fileName', {
        type: Sequelize.STRING,
        allowNull: false,
        defaultValue: 'Hform4.docx'
      }),
    ]);
  },

  down: (queryInterface) => {
    return Promise.all([queryInterface.removeColumn('Users', 'fileName')]);
  },
};

