'use strict';

module.exports = {
  up(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.addColumn(
        'Users', 
        'imageFileName', 
        {
          type: Sequelize.STRING,
          allowNull: false,
        },
      )
    ]);
  },

  down(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.removeColumn('Users', 'imageFileName'),
    ]);
  },
};
