'use strict';
module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.createTable('Users', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      firstName: {
        type: Sequelize.STRING
      },
      lastName: {
        type: Sequelize.STRING
      },
      fatherName: {
        type: Sequelize.STRING
      },
      codeMelli: {
        type: Sequelize.INTEGER
      },
      workUnit: {
        type: Sequelize.STRING
      },
      workUnitCode: {
        type: Sequelize.INTEGER
      },
      address: {
        type: Sequelize.TEXT
      },
      obligationNumber: {
        type: Sequelize.INTEGER
      },
      obligationDate: {
        type: Sequelize.DATE
      },
      requestNumber: {
        type: Sequelize.INTEGER
      },
      requestDate: {
        type: Sequelize.DATE
      },
      writtenOrderNumber: {
        type: Sequelize.INTEGER
      },
      writtenOrderDate: {
        type: Sequelize.DATE
      },
      deadline: {
        type: Sequelize.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE
      }
    });
  },
  down: async (queryInterface, Sequelize) => {
    await queryInterface.dropTable('Users');
  }
};